import type { AxiosRequestHeaders } from 'axios'
import axios from 'axios'

// Full config:  https://github.com/axios/axios#request-config
// axios.defaults.baseURL = import.meta.env.VITE_APP_BACK_URL
// axios.defaults.headers.common['Authorization'] = AUTH_TOKEN
// axios.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded'

let config = {
  baseURL: (import.meta.env.VITE_APP_BACK_URL as string) + '/api',
  // timeout: 60 * 1000, // Timeout
  // withCredentials: true, // Check cross-site Access-Control
}

const _axios = axios.create(config)

const urlProtected: string[] = []

_axios.interceptors.request.use(
  function (config) {
    // Do something before request is sent
    if (urlProtected.some((url) => (new RegExp(url)).test(config.url as string))) {
      (config.headers as AxiosRequestHeaders).authorization = `Bearer ${localStorage.getItem('JWT_ACCESS')}`
    }
    return config
  },
  function (error) {
    // Do something with request error
    return Promise.reject(error)
  },
)

// Add a response interceptor
_axios.interceptors.response.use(
  function (response) {
    // Do something with response data
    return response
  },
  async function (error) {
    /*
    if(error.response.status === 403 && !!localStorage.getItem('JWT_ACCESS')){
        localStorage.removeItem('JWT_ACCESS')
        CoreService.setFlashMessage('sessionExpired', '')
        await router.push({name: 'SignIn'})
    }
    */
    return Promise.reject(error)
  },
)

export default _axios
