import { marked } from 'marked'

export function customMarked(content: string | undefined): string {
  if (!content) return ''

  marked.setOptions({
    baseUrl: import.meta.env.VITE_APP_BACK_URL as string,
  })

  content = marked(content)
  if (content) {
    content = content.replaceAll(
      /(<a href="\S*")(((?:[\s\S](?!<a href="\S*">))+?)<\/a>)/gm,
      '$1 target="_blank" rel="noopener"$2',
    )
  }
  return content || ''
}
