import { StrapiModel } from '#/index'

export interface PictureFormat {
  ext: string;
  hash: string;
  height: number;
  mime: string;
  name: string;
  path: string | null;
  size: number;
  url: string;
  width: number;
}

export interface Picture extends StrapiModel {
  alternativeText: string;
  caption: string;
  createdAt: string;
  ext: string;
  formats: PictureFormat[];
  hash: string;
  height: number;
  mime: string;
  name: string;
  previewUrl: string;
  provider: string;
  provider_metadata: string | null;
  size: number;
  updatedAt: string;
  url: string;
  width: number;
}

interface PageHeaderThumbnail {
  url: string;
  alt: string;
}
