export interface StrapiModel {
  id: number;
}

export interface StrapiObject<T extends StrapiModel> {
  id: number;
  attributes: Omit<T, 'id'>;
}

export interface StrapiPopulateObject<T extends StrapiModel> {
  data: StrapiObject<T>;
}

export interface StrapiDetail<T extends StrapiModel> extends StrapiPopulateObject<T> {
  meta: {};
}

export interface StrapiList<T extends StrapiModel> {
  data: StrapiObject<T>[];
  meta: {
    pagination: {
      page: number;
      pageCount: number;
      pageSize: number;
      total: number;
    };
  };
}

export interface StrapiError {
  data: null | string;
  error: {
    details: {};
    message: string;
    name: string;
    status: number;
  };
}
